# SDK Locale

### Setting the Locale

The SDK will automatically use the current locale of your user's device; however, you can override it with the following method.

{% code title="JavaScript" %}

```javascript
import Luciq, { Locale } from '@luciq/react-native';

Luciq.setLocale(Locale.french);
```

{% endcode %}

Here are the possible locale values.

{% code title="JavaScript" %}

```javascript
Locale.arabic
Locale.azerbaijani
Locale.chineseSimplified
Locale.chineseTraditional
Locale.czech
Locale.danish
Locale.dutch
Locale.english
Locale.french
Locale.german
Locale.italian
Locale.japanese
Locale.polish
Locale.portugueseBrazil
Locale.romanian
Locale.russian
Locale.spanish
Locale.swedish
Locale.turkish
Locale.korean
```

{% endcode %}

{% hint style="info" %}
**Dashboard Language**

At the moment, the Luciq dashboard only supports English. Changing the SDK locale will not change the language of your dashboard.
{% endhint %}

### Overriding String Values

You can also override each string shown to your users individually using the following method.

{% code title="JavaScript" overflow="wrap" %}

```javascript
Luciq.setString("Please enter a correct email address", StringKey.invalidEmailMessage);
```

{% endcode %}

Here are the possible key values.

{% code title="JavaScript" %}

```javascript
StringKey.addAttachmentButtonTitleStringName
StringKey.addExtraScreenshot
StringKey.addImageFromGallery
StringKey.addVideoMessage
StringKey.addVoiceMessage
StringKey.audio
StringKey.audioRecordingPermissionDeniedMessage
StringKey.audioRecordingPermissionDeniedTitle
StringKey.cancelButtonText
StringKey.collectingDataText
StringKey.commentFieldHintForBugReport
StringKey.commentFieldHintForFeedback
StringKey.commentFieldHintForQuestion
StringKey.conversationsHeaderTitle
StringKey.conversationTextFieldHint
StringKey.discardAlertDiscard
StringKey.discardAlertStay
StringKey.discardAlertMessage
StringKey.discardAlertTitle
StringKey.edgeSwipeStartHint
StringKey.emailFieldHint
StringKey.image
StringKey.insufficientContentMessage
StringKey.insufficientContentTitle
StringKey.invalidEmailMessage
StringKey.invalidEmailTitle
StringKey.invocationHeader
StringKey.messagesNotification
StringKey.messagesNotificationAndOthers
StringKey.microphonePermissionAlertSettingsButtonText
StringKey.okButtonText
StringKey.recordingMessageToHoldText
StringKey.recordingMessageToReleaseText
StringKey.reportBug
StringKey.reportBugDescription
StringKey.reportFeedback
StringKey.reportFeedbackDescription
StringKey.reportQuestion
StringKey.reportQuestionDescription
StringKey.reportReproStepsDisclaimerBody
StringKey.reportReproStepsDisclaimerLink
StringKey.reproStepsListDescription
StringKey.reproStepsListEmptyStateDescription
StringKey.reproStepsListHeader
StringKey.reproStepsListItemNumberingTitle
StringKey.reproStepsProgressDialogBody
StringKey.requestFeatureDescription
StringKey.screenRecording
StringKey.screenshotHeaderTitle
StringKey.shakeHint
StringKey.startAlertText
StringKey.surveysStoreRatingThanksSubtitle
StringKey.surveysStoreRatingThanksTitle
StringKey.swipeHint
StringKey.team
StringKey.thankYouAlertText
StringKey.thankYouText
StringKey.videoPressRecord
StringKey.welcomeMessageBetaFinishStepContent
StringKey.welcomeMessageBetaFinishStepTitle
StringKey.welcomeMessageBetaHowToReportStepContent
StringKey.welcomeMessageBetaHowToReportStepTitle
StringKey.welcomeMessageBetaWelcomeStepContent
StringKey.welcomeMessageBetaWelcomeStepTitle
StringKey.welcomeMessageLiveWelcomeStepContent
StringKey.welcomeMessageLiveWelcomeStepTitle
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/react-native/setup-luciq-for-react-native/custom-settings/sdk-customization/sdk-locale.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
